/**
  ******************************************************************************
  * @file    ble_const.h
  * @author  AMS - RF Application team
  * @version V1.0.0
  * @date    23-May-2019
  * @brief   Header file that includes Bluetooth LE stack defines for APIs
  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2019 STMicroelectronics</center></h2>
  ******************************************************************************
  */
#ifndef __BLE_CONST_H__
#define __BLE_CONST_H__

#include "ble_status.h"
#include "bluenrg_lp_hal.h"
#include "bluenrg_lp_gap.h"
#include "bluenrg_lp_gatt_server.h"
#include "bluenrg_lp_l2cap.h"
#include "link_layer.h"
#include "sm.h"

#endif /* __BLE_CONST_H__ */
