/**
  ******************************************************************************
  * @file    bluenrg_lp_l2cap.h
  * @author  AMS - RF Application team
  * @brief   Header file with constants for L2CAP
  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2020 STMicroelectronics</center></h2>
  ******************************************************************************
  */
#ifndef __BLUENRG_L2CAP_H__
#define __BLUENRG_L2CAP_H__

/**
 *@addtogroup L2CAP L2CAP
 *@{
 */
/**
 *@addtogroup L2CAP_constants L2CAP Constants
 *@brief Constants for L2CAP layer.
 *@{
 */

/**
 *@name L2CAP Connection Event Type
 *@see aci_l2cap_cfc_connection_event
 *@{
 */
#define L2CAP_CONN_REQ                 0
#define L2CAP_CONN_RESP                1
/**
 *@}
 */

/**
 *@}
 */
/**
 *@}
 */

#endif /* __BLUENRG_L2CAP_H__ */
